الانتقال إلى المحتوى الرئيسي
POST
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
/
{dedicated_ip_id}
/
domains
/
assign
تعيين نطاقات عنوان IP مخصص
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/domains/assign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

التفويضات

Authorization
string
header
مطلوب

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

معلمات المسار

account_id
string<uuid>
مطلوب
dedicated_ip_id
string<uuid>
مطلوب

الجسم

application/json

طلب تعيين أو إلغاء تعيين دفعي.

domain_ids
(string<uuid> | string)[]

UUIDs للمجال أو أسماء النطاقات لتعيينها أو إلغاء تعيينها.

Minimum array length: 1

الاستجابة

dedicated_ip_id
string<uuid>
مطلوب
domain_ids
string<uuid>[]
مطلوب